<?php
@set_time_limit(0);

require('../../admin/inc/config.php');
require('../../inc/config.settings.php');
require('../../inc/common.php');
require('../../inc/header.php');
require('../../inc/class.session.php');
require('../../inc/class.sqlitedb.php');

if ($allow_webadmin == false)
	die('You must provide web administration service');

if (!preg_match('/^[0-9a-z]{40}$/i', $sessid))
	die('the system occurs error, please login it');

define('WM_ADMIN_LOGINED', true);

$retid = (double)microtime()*100000000;

$sesshandle = New Session();
$sesshandle->temp_folder = $temporary_directory;
$sesshandle->sessid = $sessid;
$sesshandle->timeout = $session_timeout;
$sesshandle->enable_cookies = true;
$sesshandle->sesstype = SESSION_ADMIN;

$session_value = $sesshandle->Load();
if ($session_value === false){
	Header('Location: index.php?err=sess_load&retid='.$retid); 
	exit; 
}

if ($session_value['adminauth'] && $session_value['session'] != '' && $session_value['adminuser'] != '' 
	&& in_array($session_value['admintype'], array('sup', 'com'))) {
	$nowstamp = time();
	$start = ($session_value['adminstart'] == '') ? $nowstamp : $session_value['adminstart'];

	if (intval($nowstamp - $start) > $session_timeout) {
		Header('Location: badlogin.php?sessid='.$sessid.'&err=100&retid='.$retid); 
		exit; 
	}
	
	$session_value['adminstart'] = $nowstamp;
	$sesshandle->Save($session_value);
}
else{
	Header('Location: badlogin.php?sessid='.$sessid.'&retid='.$retid);
	exit;
}

$lid = $session_value['lid'];

require('../../admin/inc/global.php');
require('../../admin/inc/smarty.php');
require('../../admin/inc/lib.php');

$smarty->assign('AllowSMS', $sms_function);

$smarty->assign('SessID', $sessid);
$smarty->assign('RetID', $retid);

$smarty->assign('AdminUser', $session_value['adminuser']);
$smarty->assign('AdminType', $session_value['admintype']);
if ($session_value['admintype'] == 'sup') {
	$smarty->assign('AllowMailMonitor', 1);
	$smarty->assign('AllowMailSign', 1);
}
else {
	$smarty->assign('AllowMailMonitor', $session_value['mailmonitor']);
	$smarty->assign('AllowMailSign', $session_value['mailsign']);
}

$smarty->assign('VersionType', $session_value['versiontype']);
if ($session_value['versiontype'] == 3) {
	$smarty->assign('AllowMailMonitor', 0);
	$smarty->assign('AllowMailSign', 0);
}

//ҳмĵĲƷ
$advfile = $customizepath.'main_logo.gif';
if (file_exists($advfile))
	$smarty->assign('MainLogo', $advfile);
else
	$smarty->assign('MainLogo', '');

//ҳмĵĲƷ
$advfile = $customizepath.'index_magic.gif';
if (file_exists($advfile))
	$smarty->assign('MagicLogo', $advfile);
else
	$smarty->assign('MagicLogo', '');

switch(strtolower($dest)){
	default:
	case 'mainpage':
		include('../../admin/operation/mainpage.php');
		break;
	case 'mailmonitor':
		include('../../admin/operation/mailmonitor.php');
		break;
	case 'mailsign':
		include('../../admin/operation/mailsign.php');
		break;
	case 'publicfolder':
		include('../../admin/operation/publicfolder.php');
		break;
	case 'user':
		include('../../admin/operation/user.php');
		break;
	case 'group':
		include('../../admin/operation/group.php');
		break;
	case 'useralias':
		include('../../admin/operation/useralias.php');
		break;
	case 'domain':
		include('../../admin/operation/domain.php');
		break;
	case 'domainalias':
		include('../../admin/operation/domainalias.php');
		break;
	case 'adminuser':
		include('../../admin/operation/adminuser.php');
		break;
	case 'chgpwd':
		include('../../admin/operation/chgpwd.php');
		break;
}	
?>